require "defines"

script.on_event(defines.events.on_tick, function(event)
	if game.tick%20 == 0 then
		if game.player.vehicle and game.player.vehicle.valid and game.player.vehicle.type == "car" then
			if game.player.gui.left.frameDA == nil then
				frameDA = game.player.gui.left.add{type = "frame", name = "frameDA", direction = "horizontal"}
				local tab = frameDA.add{type ="table", name = "tableDA", colspan = 3}
				tab.add{type = "label", name = "DAblank1", caption = " "}
				tab.add{type = "button", name = "buttonDANorth", caption = "N"}
				tab.add{type = "label", name = "DAblank2", caption = " "}
				tab.add{type = "button", name = "buttonDAWest", caption = "W"}
				tab.add{type = "button", name = "buttonDASouth", caption = "S"}
				tab.add{type = "button", name = "buttonDAEast", caption = "E"}
			end
		elseif game.player.gui.left.frameDA then
				game.player.gui.left.frameDA.destroy()
		end
	end
end)

script.on_event(defines.events.on_gui_click, function(event)
	if event.element.name == "buttonDANorth" then
		game.player.vehicle.orientation = 0.0
--		game.player.print("North")
  elseif event.element.name == "buttonDAWest" then
		game.player.vehicle.orientation = 0.75
--		game.player.print("West")
	elseif event.element.name == "buttonDASouth" then
		game.player.vehicle.orientation = 0.5
--		game.player.print("South")
	elseif event.element.name == "buttonDAEast" then
		game.player.vehicle.orientation = 0.25
--		game.player.print("East")
--	else
--		game.player.print(event.element.name or "Element missing name!")
  end
end)
